aboutsummaryrefslogtreecommitdiff
path: root/lin_run.sh
diff options
context:
space:
mode:
authorSmallFox <2806143047@qq.com>2026-04-08 15:02:49 +0800
committerSmallFox <2806143047@qq.com>2026-04-08 15:02:49 +0800
commita4f2ef9fc0d3d5b941a982b265c68faad682f2d5 (patch)
tree5d4e44fd638c31efc30f0ad605fcd5de4030c9a3 /lin_run.sh
parent2eb16b22f8bb9e08fc690be09ab92b29f4911d3d (diff)
parent00c5ce748b56c672d2f4e796d3f0b263200f95f8 (diff)
Merge branch 'feat/linux-support'HEADmaster
Diffstat (limited to 'lin_run.sh')
-rwxr-xr-xlin_run.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/lin_run.sh b/lin_run.sh
new file mode 100755
index 0000000..148fd06
--- /dev/null
+++ b/lin_run.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# 检查 Wine 是否存在
+if ! command -v wine &> /dev/null; then
+ echo "ERROR: wine command not found. Please install Wine."
+ exit 1
+fi
+
+cd "$(dirname "$0")/NotePad/NotePad/"
+
+# 使用 Wine 运行 NotePad.exe
+wine ./bin/Linux/NotePad.exe